## dvrescue 0.20.05

=== Project/CMake/CMakeLists.txt ===
project(dvrescue)

cmake_minimum_required(VERSION 2.8.11)

find_package(ZenLib REQUIRED)
find_package(MediaInfoLib REQUIRED)

if(APPLE)
  option(BUILD_AVFCTL "Build avfctl tool (macOS only)" ON)
else()
  set(BUILD_AVFCTL OFF)
endif()

set(dvrescue_ROOT_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../..)
set(dvrescue_SOURCES_PATH ${dvrescue_ROOT_PATH}/Source)

set(dvrescue_SRCS
  ${dvrescue_SOURCES_PATH}/CLI/CLI_Help.cpp
  ${dvrescue_SOURCES_PATH}/CLI/CLI_Main.cpp
  ${dvrescue_SOURCES_PATH}/CLI/CommandLine_Parser.cpp
  ${dvrescue_SOURCES_PATH}/CLI/DVRescue.rc
  ${dvrescue_SOURCES_PATH}/Common/Core.cpp
  ${dvrescue_SOURCES_PATH}/Common/Output.cpp
  ${dvrescue_SOURCES_PATH}/Common/Output_Webvtt.cpp
  ${dvrescue_SOURCES_PATH}/Common/Output_Xml.cpp
  ${dvrescue_SOURCES_PATH}/Common/ProcessFile.cpp
  ${dvrescue_SOURCES_PATH}/Source/ThirdParty/ccdecoder/ccdecoder_internal.c
  ${dvrescue_SOURCES_PATH}/Source/ThirdParty/ccdecoder/ccdecoder_line21.c
  ${dvrescue_SOURCES_PATH}/Source/ThirdParty/ccdecoder/ccdecoder_line21field.c
  ${dvrescue_SOURCES_PATH}/Source/ThirdParty/ccdecoder/ccdecoder_onscreen.c
  ${dvrescue_SOURCES_PATH}/Source/ThirdParty/ccdecoder/ccdecoder_subrip.c
  ${dvrescue_SOURCES_PATH}/Source/ThirdParty/TimeCode/TimeCode.cpp
)

set(dvrescue_TOOLS
  ${dvrescue_ROOT_PATH}/tools/dvloupe
  ${dvrescue_ROOT_PATH}/tools/dvmap
  ${dvrescue_ROOT_PATH}/tools/dvpackager
  ${dvrescue_ROOT_PATH}/tools/dvplay
  ${dvrescue_ROOT_PATH}/tools/dvsampler
)

if(BUILD_AVFCTL)
  add_custom_command(OUTPUT ${dvrescue_ROOT_PATH}/tools/avfctl/avfctl
                     COMMAND make
                     WORKING_DIRECTORY ${dvrescue_ROOT_PATH}/tools/avfctl
  )
  add_custom_target(avfctl ALL DEPENDS ${dvrescue_ROOT_PATH}/tools/avfctl/avfctl)
  list(APPEND dvrescue_TOOLS ${dvrescue_ROOT_PATH}/tools/avfctl/avfctl)
endif()

add_executable(dvrescue
  ${dvrescue_SRCS}
)
target_include_directories(dvrescue
  PRIVATE ${dvrescue_SOURCES_PATH}
  PRIVATE ${dvrescue_SOURCES_PATH}/ThirdParty/ccdecoder
  PRIVATE ${dvrescue_SOURCES_PATH}/ThirdParty/TimeCode
)
target_link_libraries(dvrescue
  ${ZenLib_LIBRARY}
  ${MediaInfoLib_LIBRARY}
)

install(TARGETS dvrescue DESTINATION bin)
if(UNIX)
  install(PROGRAMS ${dvrescue_TOOLS} DESTINATION bin)
endif()

if(NOT TARGET uninstall)
  configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY
  )
  add_custom_target(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  )
endif()

=== tools/avfctl/Makefile ===
all: avfctl

clean:
		rm *.o

avfctl: avfctl.o main.o
		gcc -Wall -framework Foundation -framework AVFoundation -framework CoreMedia -o $@ $^

%.o: %.m
		gcc -Wall -c -fobjc-arc -I. -o $@ $<

=== debian/changelog ===
dvrescue (0.20.05-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <Info@MediaArea.net>  Tue, 01 Jan 2019 01:00:00 +0000

=== debian/control ===
Source: dvrescue
Priority: optional
Maintainer: Jerome Martinez <Info@MediaArea.net>
Build-Depends: debhelper (>= 5), libmediainfo-dev, libzen-dev, zlib1g-dev, pkg-config, automake, autoconf, libtool
Standards-Version: 3.7.3
Section: libs
Homepage: https://MediaArea.net/DVRescue

Package: dvrescue
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, xmlstarlet
Description: Data migration from DV tapes into digital files suitable for long-term preservation
 .
 Archivist-made software that supports data migration from DV tapes into digital files suitable for long-term preservation

Package: dvrescue-dbg
Section: debug
Architecture: any
Priority: extra
Depends: dvrescue (= ${binary:Version})
Description: Data migration from DV tapes into digital files suitable for long-term preservation
 .
 Archivist-made software that supports data migration from DV tapes into digital files suitable for long-term preservation
 .
 This package contains the debugging symbols.

## dvrescue 24.07

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dvrescue
 Priority: optional
 Maintainer: Jerome Martinez <Info@MediaArea.net>
-Build-Depends: debhelper (>= 5), libmediainfo-dev, libzen-dev, zlib1g-dev, pkg-config, automake, autoconf, libtool
+Build-Depends: debhelper (>= 10), libmediainfo-dev, libzen-dev, libraw1394-dev, libavc1394-dev, libiec61883-dev, zlib1g-dev, pkg-config, automake, autoconf, libtool
 Standards-Version: 3.7.3
 Section: libs
 Homepage: https://MediaArea.net/DVRescue

## dvrescue 24.07.20251011

=== debian/changelog ===
dvrescue (24.07.20251011-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <Info@MediaArea.net>  Tue, 01 Jan 2019 01:00:00 +0000

## dvrescue 24.07.20251013

=== debian/changelog ===
dvrescue (24.07.20251013-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <Info@MediaArea.net>  Tue, 01 Jan 2019 01:00:00 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export QT_SELECT=qt5
export USE_SYSTEM=true

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	cd dvrescue/Project/GNU/CLI && chmod u+x autogen
	cd dvrescue/Project/GNU/CLI && ./autogen
	cd dvrescue/Project/GNU/CLI && ./configure --prefix=/usr

	cd ffmpeg && ./configure --enable-gpl --disable-autodetect --enable-libfreetype --enable-alsa --disable-doc --disable-debug --enable-pic --enable-static --disable-shared --prefix=`pwd`
	cd ffmpeg && $(MAKE) install
	cd ZenLib/Project/GNU/Library && ./configure --enable-static --disable-shared
	cd ZenLib/Project/GNU/Library && $(MAKE)
	cd MediaInfoLib/Project/GNU/Library && ./configure --enable-static --disable-shared --enable-staticlibs
	cd MediaInfoLib/Project/GNU/Library && $(MAKE)
	cd MediaInfo/Project/GNU/CLI && ./configure --enable-staticlibs
	cd MediaInfo/Project/GNU/CLI && $(MAKE)

	mkdir -p dvrescue/Source/GUI/dvrescue/build
	cd dvrescue/Source/GUI/dvrescue/build && qmake .. BINDIR=/usr/bin

	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
#	cd xmlstarlet && $(MAKE)

	cd dvrescue/Project/GNU/CLI && $(MAKE)
	cd dvrescue/Source/GUI/dvrescue/build && $(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	# $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	cd dvrescue/Project/GNU/CLI && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	install -D -m 755 ffmpeg/ffmpeg $(CURDIR)/debian/tmp/usr/lib/dvrescue/bin/ffmpeg
#	install -D -m 755 xmlstarlet/xml $(CURDIR)/debian/tmp/usr/lib/dvrescue/bin/xmlstarlet
	install -D -m 755 dvrescue/Project/GNU/CLI/dvrescue $(CURDIR)/debian/tmp/usr/lib/dvrescue/bin/dvrescue
	install -D -m 755 MediaInfo/Project/GNU/CLI/mediainfo $(CURDIR)/debian/tmp/usr/lib/dvrescue/bin/mediainfo

	install -D -m 644 dvrescue/LICENSE.txt $(CURDIR)/debian/tmp/usr/share/doc/dvrescue/LICENSE.txt

	install -D -m 644 dvrescue/LICENSE.txt $(CURDIR)/debian/tmp/usr/share/doc/dvrescue-gui/LICENSE.txt
	install -D -m 755 dvrescue/Source/GUI/dvrescue/build/dvrescue/dvrescue $(CURDIR)/debian/tmp/usr/bin/dvrescue-gui

	install -D -m 644 dvrescue/Source/GUI/dvrescue/dvrescue/icons/icon.png $(CURDIR)/debian/tmp/usr/share/pixmaps/dvrescue.png
	install -D -m 644 dvrescue/Project/GNU/GUI/dvrescue-gui.desktop $(CURDIR)/debian/tmp/usr/share/applications/dvrescue-gui.desktop
	install -D -m 644 dvrescue/Project/GNU/GUI/dvrescue-gui.metainfo.xml $(CURDIR)/debian/tmp/usr/share/metainfo/dvrescue-gui.metainfo.xml

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_installchangelogs -p dvrescue dvrescue/History.txt
	dh_installchangelogs -p dvrescue-gui dvrescue/History.txt
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip -p dvrescue --dbg-package=dvrescue-dbg
	dh_strip -p dvrescue-gui --dbg-package=dvrescue-gui-dbg
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## dvrescue 24.07.20251018

=== debian/changelog ===
dvrescue (24.07.20251018-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <Info@MediaArea.net>  Tue, 01 Jan 2019 01:00:00 +0000

## dvrescue 24.07.20251025

=== debian/changelog ===
dvrescue (24.07.20251025-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <Info@MediaArea.net>  Tue, 01 Jan 2019 01:00:00 +0000

## dvrescue 24.07.20251108

=== debian/changelog ===
dvrescue (24.07.20251108-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <Info@MediaArea.net>  Tue, 01 Jan 2019 01:00:00 +0000

## dvrescue 24.07.20251117

=== debian/changelog ===
dvrescue (24.07.20251117-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <Info@MediaArea.net>  Tue, 01 Jan 2019 01:00:00 +0000

## dvrescue 24.07.20260103

=== debian/changelog ===
dvrescue (24.07.20260103-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <Info@MediaArea.net>  Tue, 01 Jan 2019 01:00:00 +0000

## dvrescue 24.07.20260110

=== debian/changelog ===
dvrescue (24.07.20260110-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <Info@MediaArea.net>  Tue, 01 Jan 2019 01:00:00 +0000

## dvrescue 24.07.20260124

=== debian/changelog ===
dvrescue (24.07.20260124-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <Info@MediaArea.net>  Tue, 01 Jan 2019 01:00:00 +0000

## dvrescue 24.07.20260131

=== debian/changelog ===
dvrescue (24.07.20260131-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <Info@MediaArea.net>  Tue, 01 Jan 2019 01:00:00 +0000

## dvrescue 24.07.20260207

=== debian/changelog ===
dvrescue (24.07.20260207-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <Info@MediaArea.net>  Tue, 01 Jan 2019 01:00:00 +0000

## dvrescue 24.07.20260209

=== debian/changelog ===
dvrescue (24.07.20260209-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <Info@MediaArea.net>  Tue, 01 Jan 2019 01:00:00 +0000

## dvrescue 24.07.20260211

=== debian/changelog ===
dvrescue (24.07.20260211-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <Info@MediaArea.net>  Tue, 01 Jan 2019 01:00:00 +0000

## dvrescue 24.07.20260212

=== debian/changelog ===
dvrescue (24.07.20260212-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <Info@MediaArea.net>  Tue, 01 Jan 2019 01:00:00 +0000
